import pdfplumber


# 初始化 ollama.Client

# 读取 PDF 文件并提取文本
def extract_text_from_pdf(pdf_path):
    text = ""
    with pdfplumber.open(pdf_path) as pdf:
        for page in pdf.pages:
            text += page.extract_text()
    return text


def read_pdf(pdf_path):
    # PDF 文件路径
    # pdf_path = "path_to_your_pdf_file.pdf"

    # 提取 PDF 文本
    pdf_text = extract_text_from_pdf(pdf_path)

    # 使用提取的文本作为问题材料
    return pdf_text


if __name__ == "__main__":
    pdf_text1 = read_pdf('G:\\资料\\工作安排\\2月6日工作安排计划表-20250205.pdf')
    # 打印响应
    print(pdf_text1)
